# Enum ActionEvent.Type

java.lang.Object
java.lang.Enum<ActionEvent.Type>
com.codename1.ui.events.ActionEvent.Type

All Implemented Interfaces:
  `Comparable<ActionEvent.Type>`

Enclosing class:
  `ActionEvent`

public static enum ActionEvent.Type extends Enum<ActionEvent.Type>
The event type, as declared when the event is created.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Calendar`
  Event from `com.codename1.ui.Calendar`
  `Change`
  `Command`
  Triggered by a command
  `Data`
  Network event fired in case of a network response containing data
  `Done`
  Fired on a `com.codename1.ui.TextField#setDoneListener(com.codename1.ui.events.ActionListener)` action event
  `DragFinished`
  Fired when a component drag is finished
  `Edit`
  Fired on a `com.codename1.ui.TextArea` action event
  `Exception`
  Network event fired in case of a network error
  `IsGalleryTypeSupported`
  `JavaScript`
  Fired by the `com.codename1.javascript.JavascriptContext`
  `KeyPress`
  Fired by key events
  `KeyRelease`
  Fired by key events
  `Log`
  Logging event to used for log/filesystem decoupling
  `LongPointerPress`
  `OpenGallery`
  `OrientationChange`
  Fired when a `com.codename1.ui.Form` is rotated
  `Other`
  Unspecified command type, this occurs when one of the old undifferentiated constructors was invoked
  `Pointer`
  Pointer event that doesn't necessarily fall into one of the other pointer event values
  `PointerDrag`
  Pointer event
  `PointerPressed`
  Pointer event
  `PointerReleased`
  Pointer event
  `Progress`
  Network event fired in case of progress update
  `Response`
  Network event fired in case of a network response code event
  `Show`
  Fired when a `com.codename1.ui.Form` is shown
  `SizeChange`
  Fired when a `int)` occurs
  `Swipe`
  Pointer swipe event currently fired by `com.codename1.ui.SwipeableContainer#addSwipeOpenListener(com.codename1.ui.events.ActionListener)`
  `Theme`
  Fired when the theme changes

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ActionEvent.Type`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ActionEvent.Type[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Other

    public static final ActionEvent.Type Other
    Unspecified command type, this occurs when one of the old undifferentiated constructors was invoked

  - ### Command

    public static final ActionEvent.Type Command
    Triggered by a command

  - ### Pointer

    public static final ActionEvent.Type Pointer
    Pointer event that doesn't necessarily fall into one of the other pointer event values

  - ### PointerPressed

    public static final ActionEvent.Type PointerPressed
    Pointer event

  - ### PointerReleased

    public static final ActionEvent.Type PointerReleased
    Pointer event

  - ### PointerDrag

    public static final ActionEvent.Type PointerDrag
    Pointer event

  - ### Swipe

    public static final ActionEvent.Type Swipe
    Pointer swipe event currently fired by `com.codename1.ui.SwipeableContainer#addSwipeOpenListener(com.codename1.ui.events.ActionListener)`

  - ### KeyPress

    public static final ActionEvent.Type KeyPress
    Fired by key events

  - ### KeyRelease

    public static final ActionEvent.Type KeyRelease
    Fired by key events

  - ### Exception

    public static final ActionEvent.Type Exception
    Network event fired in case of a network error

  - ### Response

    public static final ActionEvent.Type Response
    Network event fired in case of a network response code event

  - ### Progress

    public static final ActionEvent.Type Progress
    Network event fired in case of progress update

  - ### Data

    public static final ActionEvent.Type Data
    Network event fired in case of a network response containing data

  - ### Calendar

    public static final ActionEvent.Type Calendar
    Event from `com.codename1.ui.Calendar`

  - ### Edit

    public static final ActionEvent.Type Edit
    Fired on a `com.codename1.ui.TextArea` action event

  - ### Done

    public static final ActionEvent.Type Done
    Fired on a `com.codename1.ui.TextField#setDoneListener(com.codename1.ui.events.ActionListener)` action event

  - ### JavaScript

    public static final ActionEvent.Type JavaScript
    Fired by the `com.codename1.javascript.JavascriptContext`

  - ### Log

    public static final ActionEvent.Type Log
    Logging event to used for log/filesystem decoupling

  - ### Theme

    public static final ActionEvent.Type Theme
    Fired when the theme changes

  - ### Show

    public static final ActionEvent.Type Show
    Fired when a `com.codename1.ui.Form` is shown

  - ### SizeChange

    public static final ActionEvent.Type SizeChange
    Fired when a `int)` occurs

  - ### OrientationChange

    public static final ActionEvent.Type OrientationChange
    Fired when a `com.codename1.ui.Form` is rotated

  - ### DragFinished

    public static final ActionEvent.Type DragFinished
    Fired when a component drag is finished

  - ### Change

    public static final ActionEvent.Type Change

  - ### LongPointerPress

    public static final ActionEvent.Type LongPointerPress

  - ### OpenGallery

    public static final ActionEvent.Type OpenGallery

  - ### IsGalleryTypeSupported

    public static final ActionEvent.Type IsGalleryTypeSupported

- ## Method Details

  - ### values

    public static ActionEvent.Type[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ActionEvent.Type valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null